# Datum erfassen
$Date = (Get-Date).ToString("dd.MM.yyyy")

# Lokale Computer IPv4 abfragen aber nur auf aktiven Adapter im Netz 172.18.x mit Gateway IP
$COMPIP = (Get-WmiObject Win32_NetworkAdapterConfiguration | where { (($_.IPEnabled -ne $null) -and ($_.IPAddress -Like "172.18.*") -and ($_.DefaultIPGateway -ne $null)) } | select IPAddress -First 1).IPAddress[0]

# Filtern bestimmte Subnetze heraus weil das Admin Netze sind, wir wollen nur die Netze in denen sich normale Benutzer befinden
$COMPIP = $COMPIP | Where { $_  -NotLike "172.18.33*" -and $_  -NotLike "172.18.34*"} 
# Ein weiterer Filter der nur bestimmte ComputerNamenen erfasst, in diesem Fall WS und NB
$COMPNAME = $env:COMPUTERNAME| Where {$_ -like "WS*" -or $_ -like "NB*"}

# Wenn Informationen vorliegen - Daten in ein LOG schreiben
if ($COMPIP -and $COMPNAME){
$LOG =  "\\DC1\LOG$\WHOisOnline.txt"
"$($COMPIP),$($COMPNAME),$($Date)" | Out-File $LOG -Append}

--------------------------------------------------------------


# Datum erfassen
$Date = (Get-Date).ToString("dd.MM.yyyy")

# Lokale Computer IPv4 und v6 abfragen aber nur auf aktiven Adapter im Netz 172.18.x
$COMPIP = Get-WmiObject Win32_NetworkAdapterConfiguration -filter "IPenabled=true" | Where {$_.IPAddress -Like "172.18.*"} | % {$_.IPAddress}

# Ein weiterer Filter der nur bestimmte ComputerNamenen erfasst, in diesem Fall WS und NB
$COMPNAME = $env:COMPUTERNAME| Where {$_ -like "WS*" -or $_ -like "NB*"}

# Wenn Informationen vorliegen - Daten in ein LOG schreiben
if ($COMPIP -and $COMPNAME){
$LOG =  "\\DC1\LOG$\WHOisOnline.txt"
"$($COMPIP),$($COMPNAME),$($Date)" | Out-File $LOG -Append}